Bug 126507 - FreeRADIUS rlm_ldap module links against wrong version of SASL
FreeRADIUS rlm_ldap module links against wrong version of SASL
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-22 12:35 EDT by Paul Bender
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-01 10:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bender 2004-06-22 12:35:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
The FreeRADIUS rlm_ldap module is linked against libsasl. However,
OpenLDAP is linked against libsasl2. As a result, FreeRADIUS segfaults
when it attempts to access an LDAP server.

You can find more detail on the problem in the FreeRADIUS bug tracking
system where I filed the original bug report. In particular, see
<http://bugs.freeradius.org/show_bug.cgi?id=73>.

Version-Release number of selected component (if applicable):
0.9.3-4

How reproducible:
Always

Steps to Reproduce:
1. Install FreeRADIUS
2. Configure FreeRADIUS to use LDAP as a backend.
3. Start FreeRADIUS. Rather than starting it using
'/etc/init.d/radiusd', it is best to start it using '/usr/sbin/radiusd
-X' or better yet running it in gdb so that you can better identify
the problem.
4. Authenticate client using FreeRADIUS.
    

Actual Results:  radiusd segfaults.

Expected Results:  radiusd to keep running and the client to authenticate.

Additional info:
Comment 1 Thomas Woerner 2004-07-01 10:21:39 EDT
Fixed in rawhide in rpm freeradius-1.0.0-0.pre3.1 or newer.
Comment 2 Paul Bender 2004-07-02 17:15:12 EDT
Cool. It works. Thanks.

Note You need to log in before you can comment on or make changes to this bug.